@echo off

@REM set JAVA_HOME=C:\Program Files\Java\jre1.8.0_231

@setlocal

set ERROR_CODE=0

if not "%JAVA_HOME%"=="" goto OkJHome

for %%i in (javaw.exe) do set "JAVACMD=%%~$PATH:i"
goto checkJCmd

:OkJHome
set "JAVACMD=%JAVA_HOME%\bin\javaw.exe"

:checkJCmd
if exist "%JAVACMD%" goto runApp

@echo !!! ERROR !!!!!!!!!!!!!!!!!!!!!!!!!!!
@echo Java JRE must be installed on this computer to run this application.
@echo Please dowload the JRE from
@echo "http://selimsql.com/setup/jre-windows-i586-iftw.exe"
@echo OR
@echo "https://java.com/en/download/manual.jsp"
@echo ...
@echo And after install, try to run this application.
@echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
goto error

:runApp
set JVM_CONFIG_APP_PROPS=-Xmx1024m
set APP_CLASS_JAR=SSqlDevClient.jar
set APP_CLASS_LAUNCHER=selimsql.client.app.SqlDev
set APP_CMD_LINE_ARGS=-Dhttp.proxyHost=? -Dhttp.proxyPort=?

"%JAVACMD%" ^
  %JVM_CONFIG_APP_PROPS% ^
  -classpath "%APP_CLASS_JAR%" ^
  %APP_CLASS_LAUNCHER% %APP_CMD_LINE_ARGS%

if ERRORLEVEL 1 goto error
goto end

:error
set ERROR_CODE=1
@pause

:end

@endlocal & set ERROR_CODE=%ERROR_CODE%

cmd /C exit /B %ERROR_CODE%
